
/* Generated data (by glib-mkenums) */

#include "../config.h"
#include "ntdisp.h"
#include "ntdisp-builtins.h"

/* Enumerations from "ntdisp-enums.h" */
GType
ntd_baud_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_BAUD_UNKNOWN, "NTD_BAUD_UNKNOWN", "unknown" },
            { NTD_BAUD_50, "NTD_BAUD_50", "50" },
            { NTD_BAUD_75, "NTD_BAUD_75", "75" },
            { NTD_BAUD_110, "NTD_BAUD_110", "110" },
            { NTD_BAUD_134, "NTD_BAUD_134", "134" },
            { NTD_BAUD_200, "NTD_BAUD_200", "200" },
            { NTD_BAUD_300, "NTD_BAUD_300", "300" },
            { NTD_BAUD_600, "NTD_BAUD_600", "600" },
            { NTD_BAUD_1200, "NTD_BAUD_1200", "1200" },
            { NTD_BAUD_1800, "NTD_BAUD_1800", "1800" },
            { NTD_BAUD_2400, "NTD_BAUD_2400", "2400" },
            { NTD_BAUD_4800, "NTD_BAUD_4800", "4800" },
            { NTD_BAUD_9600, "NTD_BAUD_9600", "9600" },
            { NTD_BAUD_19200, "NTD_BAUD_19200", "19200" },
            { NTD_BAUD_38400, "NTD_BAUD_38400", "38400" },
            { NTD_BAUD_57600, "NTD_BAUD_57600", "57600" },
            { NTD_BAUD_115200, "NTD_BAUD_115200", "115200" },
            { NTD_BAUD_230400, "NTD_BAUD_230400", "230400" },
            { NTD_BAUD_460800, "NTD_BAUD_460800", "460800" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdBaud", values);
    }

    return etype;
}

GType
ntd_parity_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_PARITY_UNKNOWN, "NTD_PARITY_UNKNOWN", "unknown" },
            { NTD_PARITY_NONE, "NTD_PARITY_NONE", "none" },
            { NTD_PARITY_ODD, "NTD_PARITY_ODD", "odd" },
            { NTD_PARITY_EVEN, "NTD_PARITY_EVEN", "even" },
            { NTD_PARITY_UNCHECK, "NTD_PARITY_UNCHECK", "uncheck" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdParity", values);
    }

    return etype;
}

GType
ntd_data_bits_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_DATA_BITS_UNKNOWN, "NTD_DATA_BITS_UNKNOWN", "unknown" },
            { NTD_DATA_BITS_5, "NTD_DATA_BITS_5", "5" },
            { NTD_DATA_BITS_6, "NTD_DATA_BITS_6", "6" },
            { NTD_DATA_BITS_7, "NTD_DATA_BITS_7", "7" },
            { NTD_DATA_BITS_8, "NTD_DATA_BITS_8", "8" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdDataBits", values);
    }

    return etype;
}

GType
ntd_stop_bits_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_STOP_BITS_UNKNOWN, "NTD_STOP_BITS_UNKNOWN", "unknown" },
            { NTD_STOP_BITS_1, "NTD_STOP_BITS_1", "1" },
            { NTD_STOP_BITS_1_5, "NTD_STOP_BITS_1_5", "1-5" },
            { NTD_STOP_BITS_2, "NTD_STOP_BITS_2", "2" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdStopBits", values);
    }

    return etype;
}

GType
ntd_software_flow_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_SOFTWARE_FLOW_NONE, "NTD_SOFTWARE_FLOW_NONE", "none" },
            { NTD_SOFTWARE_FLOW_XON, "NTD_SOFTWARE_FLOW_XON", "xon" },
            { NTD_SOFTWARE_FLOW_XOFF, "NTD_SOFTWARE_FLOW_XOFF", "xoff" },
            { NTD_SOFTWARE_FLOW_XON_XOFF, "NTD_SOFTWARE_FLOW_XON_XOFF", "xon-xoff" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdSoftwareFlow", values);
    }

    return etype;
}

GType
ntd_hardware_flow_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_HARDWARE_FLOW_NONE, "NTD_HARDWARE_FLOW_NONE", "none" },
            { NTD_HARDWARE_FLOW_RTS, "NTD_HARDWARE_FLOW_RTS", "rts" },
            { NTD_HARDWARE_FLOW_CTS, "NTD_HARDWARE_FLOW_CTS", "cts" },
            { NTD_HARDWARE_FLOW_RTS_CTS, "NTD_HARDWARE_FLOW_RTS_CTS", "rts-cts" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdHardwareFlow", values);
    }

    return etype;
}

GType
ntd_stm_command_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_STM_COMMAND_GET, "NTD_STM_COMMAND_GET", "get" },
            { NTD_STM_COMMAND_GET_VERSION, "NTD_STM_COMMAND_GET_VERSION", "get-version" },
            { NTD_STM_COMMAND_GET_ID, "NTD_STM_COMMAND_GET_ID", "get-id" },
            { NTD_STM_COMMAND_READ, "NTD_STM_COMMAND_READ", "read" },
            { NTD_STM_COMMAND_GO, "NTD_STM_COMMAND_GO", "go" },
            { NTD_STM_COMMAND_WRITE, "NTD_STM_COMMAND_WRITE", "write" },
            { NTD_STM_COMMAND_ERASE, "NTD_STM_COMMAND_ERASE", "erase" },
            { NTD_STM_COMMAND_WRITE_PROCTECT, "NTD_STM_COMMAND_WRITE_PROCTECT", "write-proctect" },
            { NTD_STM_COMMAND_WRITE_UNPROCTECT, "NTD_STM_COMMAND_WRITE_UNPROCTECT", "write-unproctect" },
            { NTD_STM_COMMAND_READ_PROCTECT, "NTD_STM_COMMAND_READ_PROCTECT", "read-proctect" },
            { NTD_STM_COMMAND_READ_UNPROCTECT, "NTD_STM_COMMAND_READ_UNPROCTECT", "read-unproctect" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdStmCommand", values);
    }

    return etype;
}

GType
ntd_stm_answer_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_STM_ANSWER_NONE, "NTD_STM_ANSWER_NONE", "none" },
            { NTD_STM_ANSWER_ACK, "NTD_STM_ANSWER_ACK", "ack" },
            { NTD_STM_ANSWER_NAK, "NTD_STM_ANSWER_NAK", "nak" },
            { NTD_STM_ANSWER_UNKNOWN, "NTD_STM_ANSWER_UNKNOWN", "unknown" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdStmAnswer", values);
    }

    return etype;
}

/* Enumerations from "ntdisp-utils.h" */
GType
ntd_system_error_get_type(void)
{
    static GType etype = 0;
    if (G_UNLIKELY(etype == 0)) {
        static const GEnumValue values[] = {
            { NTD_SYSTEM_ERROR_NONE, "NTD_SYSTEM_ERROR_NONE", "none" },
            { NTD_SYSTEM_ERROR_FAILED, "NTD_SYSTEM_ERROR_FAILED", "failed" },
            { NTD_SYSTEM_ERROR_2BIG, "NTD_SYSTEM_ERROR_2BIG", "2big" },
            { NTD_SYSTEM_ERROR_ACCES, "NTD_SYSTEM_ERROR_ACCES", "acces" },
            { NTD_SYSTEM_ERROR_ADDRINUSE, "NTD_SYSTEM_ERROR_ADDRINUSE", "addrinuse" },
            { NTD_SYSTEM_ERROR_ADDRNOTAVAIL, "NTD_SYSTEM_ERROR_ADDRNOTAVAIL", "addrnotavail" },
            { NTD_SYSTEM_ERROR_AFNOSUPPORT, "NTD_SYSTEM_ERROR_AFNOSUPPORT", "afnosupport" },
            { NTD_SYSTEM_ERROR_AGAIN, "NTD_SYSTEM_ERROR_AGAIN", "again" },
            { NTD_SYSTEM_ERROR_ALREADY, "NTD_SYSTEM_ERROR_ALREADY", "already" },
            { NTD_SYSTEM_ERROR_BADF, "NTD_SYSTEM_ERROR_BADF", "badf" },
            { NTD_SYSTEM_ERROR_BADMSG, "NTD_SYSTEM_ERROR_BADMSG", "badmsg" },
            { NTD_SYSTEM_ERROR_BUSY, "NTD_SYSTEM_ERROR_BUSY", "busy" },
            { NTD_SYSTEM_ERROR_CANCELED, "NTD_SYSTEM_ERROR_CANCELED", "canceled" },
            { NTD_SYSTEM_ERROR_CHILD, "NTD_SYSTEM_ERROR_CHILD", "child" },
            { NTD_SYSTEM_ERROR_CONNABORTED, "NTD_SYSTEM_ERROR_CONNABORTED", "connaborted" },
            { NTD_SYSTEM_ERROR_CONNREFUSED, "NTD_SYSTEM_ERROR_CONNREFUSED", "connrefused" },
            { NTD_SYSTEM_ERROR_CONNRESET, "NTD_SYSTEM_ERROR_CONNRESET", "connreset" },
            { NTD_SYSTEM_ERROR_DEADLK, "NTD_SYSTEM_ERROR_DEADLK", "deadlk" },
            { NTD_SYSTEM_ERROR_DESTADDRREQ, "NTD_SYSTEM_ERROR_DESTADDRREQ", "destaddrreq" },
            { NTD_SYSTEM_ERROR_DOM, "NTD_SYSTEM_ERROR_DOM", "dom" },
            { NTD_SYSTEM_ERROR_EXIST, "NTD_SYSTEM_ERROR_EXIST", "exist" },
            { NTD_SYSTEM_ERROR_FAULT, "NTD_SYSTEM_ERROR_FAULT", "fault" },
            { NTD_SYSTEM_ERROR_FBIG, "NTD_SYSTEM_ERROR_FBIG", "fbig" },
            { NTD_SYSTEM_ERROR_HOSTUNREACH, "NTD_SYSTEM_ERROR_HOSTUNREACH", "hostunreach" },
            { NTD_SYSTEM_ERROR_IDRM, "NTD_SYSTEM_ERROR_IDRM", "idrm" },
            { NTD_SYSTEM_ERROR_ILSEQ, "NTD_SYSTEM_ERROR_ILSEQ", "ilseq" },
            { NTD_SYSTEM_ERROR_INPROGRESS, "NTD_SYSTEM_ERROR_INPROGRESS", "inprogress" },
            { NTD_SYSTEM_ERROR_INTR, "NTD_SYSTEM_ERROR_INTR", "intr" },
            { NTD_SYSTEM_ERROR_INVAL, "NTD_SYSTEM_ERROR_INVAL", "inval" },
            { NTD_SYSTEM_ERROR_IO, "NTD_SYSTEM_ERROR_IO", "io" },
            { NTD_SYSTEM_ERROR_ISCONN, "NTD_SYSTEM_ERROR_ISCONN", "isconn" },
            { NTD_SYSTEM_ERROR_ISDIR, "NTD_SYSTEM_ERROR_ISDIR", "isdir" },
            { NTD_SYSTEM_ERROR_LOOP, "NTD_SYSTEM_ERROR_LOOP", "loop" },
            { NTD_SYSTEM_ERROR_MFILE, "NTD_SYSTEM_ERROR_MFILE", "mfile" },
            { NTD_SYSTEM_ERROR_MLINK, "NTD_SYSTEM_ERROR_MLINK", "mlink" },
            { NTD_SYSTEM_ERROR_MSGSIZE, "NTD_SYSTEM_ERROR_MSGSIZE", "msgsize" },
            { NTD_SYSTEM_ERROR_NAMETOOLONG, "NTD_SYSTEM_ERROR_NAMETOOLONG", "nametoolong" },
            { NTD_SYSTEM_ERROR_NETDOWN, "NTD_SYSTEM_ERROR_NETDOWN", "netdown" },
            { NTD_SYSTEM_ERROR_NETRESET, "NTD_SYSTEM_ERROR_NETRESET", "netreset" },
            { NTD_SYSTEM_ERROR_NETUNREACH, "NTD_SYSTEM_ERROR_NETUNREACH", "netunreach" },
            { NTD_SYSTEM_ERROR_NFILE, "NTD_SYSTEM_ERROR_NFILE", "nfile" },
            { NTD_SYSTEM_ERROR_NOBUFS, "NTD_SYSTEM_ERROR_NOBUFS", "nobufs" },
            { NTD_SYSTEM_ERROR_NODATA, "NTD_SYSTEM_ERROR_NODATA", "nodata" },
            { NTD_SYSTEM_ERROR_NODEV, "NTD_SYSTEM_ERROR_NODEV", "nodev" },
            { NTD_SYSTEM_ERROR_NOENT, "NTD_SYSTEM_ERROR_NOENT", "noent" },
            { NTD_SYSTEM_ERROR_NOEXEC, "NTD_SYSTEM_ERROR_NOEXEC", "noexec" },
            { NTD_SYSTEM_ERROR_NOLCK, "NTD_SYSTEM_ERROR_NOLCK", "nolck" },
            { NTD_SYSTEM_ERROR_NOMEM, "NTD_SYSTEM_ERROR_NOMEM", "nomem" },
            { NTD_SYSTEM_ERROR_NOMSG, "NTD_SYSTEM_ERROR_NOMSG", "nomsg" },
            { NTD_SYSTEM_ERROR_NOPROTOOPT, "NTD_SYSTEM_ERROR_NOPROTOOPT", "noprotoopt" },
            { NTD_SYSTEM_ERROR_NOSPC, "NTD_SYSTEM_ERROR_NOSPC", "nospc" },
            { NTD_SYSTEM_ERROR_NOSR, "NTD_SYSTEM_ERROR_NOSR", "nosr" },
            { NTD_SYSTEM_ERROR_NOSTR, "NTD_SYSTEM_ERROR_NOSTR", "nostr" },
            { NTD_SYSTEM_ERROR_NOSYS, "NTD_SYSTEM_ERROR_NOSYS", "nosys" },
            { NTD_SYSTEM_ERROR_NOTCONN, "NTD_SYSTEM_ERROR_NOTCONN", "notconn" },
            { NTD_SYSTEM_ERROR_NOTDIR, "NTD_SYSTEM_ERROR_NOTDIR", "notdir" },
            { NTD_SYSTEM_ERROR_NOTEMPTY, "NTD_SYSTEM_ERROR_NOTEMPTY", "notempty" },
            { NTD_SYSTEM_ERROR_NOTSOCK, "NTD_SYSTEM_ERROR_NOTSOCK", "notsock" },
            { NTD_SYSTEM_ERROR_NOTSUP, "NTD_SYSTEM_ERROR_NOTSUP", "notsup" },
            { NTD_SYSTEM_ERROR_NOTTY, "NTD_SYSTEM_ERROR_NOTTY", "notty" },
            { NTD_SYSTEM_ERROR_NXIO, "NTD_SYSTEM_ERROR_NXIO", "nxio" },
            { NTD_SYSTEM_ERROR_OPNOTSUPP, "NTD_SYSTEM_ERROR_OPNOTSUPP", "opnotsupp" },
            { NTD_SYSTEM_ERROR_OVERFLOW, "NTD_SYSTEM_ERROR_OVERFLOW", "overflow" },
            { NTD_SYSTEM_ERROR_PERM, "NTD_SYSTEM_ERROR_PERM", "perm" },
            { NTD_SYSTEM_ERROR_PIPE, "NTD_SYSTEM_ERROR_PIPE", "pipe" },
            { NTD_SYSTEM_ERROR_PROTO, "NTD_SYSTEM_ERROR_PROTO", "proto" },
            { NTD_SYSTEM_ERROR_PROTONOSUPPORT, "NTD_SYSTEM_ERROR_PROTONOSUPPORT", "protonosupport" },
            { NTD_SYSTEM_ERROR_PROTOTYPE, "NTD_SYSTEM_ERROR_PROTOTYPE", "prototype" },
            { NTD_SYSTEM_ERROR_RANGE, "NTD_SYSTEM_ERROR_RANGE", "range" },
            { NTD_SYSTEM_ERROR_ROFS, "NTD_SYSTEM_ERROR_ROFS", "rofs" },
            { NTD_SYSTEM_ERROR_SPIPE, "NTD_SYSTEM_ERROR_SPIPE", "spipe" },
            { NTD_SYSTEM_ERROR_SRCH, "NTD_SYSTEM_ERROR_SRCH", "srch" },
            { NTD_SYSTEM_ERROR_TIME, "NTD_SYSTEM_ERROR_TIME", "time" },
            { NTD_SYSTEM_ERROR_TIMEDOUT, "NTD_SYSTEM_ERROR_TIMEDOUT", "timedout" },
            { NTD_SYSTEM_ERROR_TXTBSY, "NTD_SYSTEM_ERROR_TXTBSY", "txtbsy" },
            { NTD_SYSTEM_ERROR_XDEV, "NTD_SYSTEM_ERROR_XDEV", "xdev" },
            { 0, NULL, NULL }
        };

        etype = g_enum_register_static("NtdSystemError", values);
    }

    return etype;
}


/* Generated data ends here */

